<?

include("../Librerias/ConfNivel2.inc");

include("../Librerias/Password.phtml");

$Nivel=$_Nivel2;

$ObjSesion=new Sesiones();                ///Clase Sesión

$ObjSesion->MVerifica($Nivel);

$Conexion=new DBAccess();

$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);

$Formulario=new Formulario();

//FEncabezado($Nivel);

//valores por post

$tags2 = array_keys($_POST); // obtiene los nombres de las variables

$valores2 = array_values($_POST);// obtiene los valores de las variables

$i=0;

foreach ($_POST as $valores){

 ${$tags2[$i]}=$valores;

 $i++;	

}



///Datos de la acción

$Fecha=date("Y-m-d");

$Hora=date("H:i:s");

$Ip=$_SERVER['REMOTE_ADDR'];





if ($Accion=='Guardar')

{

  if ($Nombre=='' || $Usuario=='' || $Password=='')

  { FMensajeScript("PROPORCIONE DATOS REQUERIDOS","javascript:history.go(-1)");

    exit();

  }



  /////////Consulta de Existencia de Usuario

  $Consultar="SELECT * FROM usuarios WHERE Usuario='$Usuario'";

  $Rew=$Conexion->MSelectRegistro($Consultar);

  if ($Rew)

  { FMensajeScript("USUARIO EXISTENTE EN EL SISTEMA","javascript:history.go(-1)");

    exit();

  }





 ////Consulta de inserción

 $Password=FConviertePassword($Password);

 $Consulta="INSERT INTO usuarios (Usuario,Password,Nombre,Tipo,Puesto) VALUES ('$Usuario','$Password','$Nombre','$TipoUs','$Puesto')";

 

 $Conexion->MEjecutarSQL($Consulta);

 echo $Consulta;

 ////////////////////////////////////////

 ///Cosnulta para Obtener Id de los datos almacenados

 $CIdUser="SELECT * FROM usuarios WHERE Tipo='$TipoUs' AND Password='$Password' AND Usuario='$Usuario' AND Nombre='$Nombre'";

 $RIdUser=$Conexion->MSelectRegistro($CIdUser);

 ///////////////////////////////////////////////////////////////////////////////////////



 ////PARA REGISTRARLO EN LA BITACORA DE ACCESOS

    $DescripcionAccion="INGRESÓ AL USUARIO $Usuario";

    $ConsultaAccion="INSERT INTO controlusuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values

                      ('".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','Usuarios',$RIdUser[IdUsuario])";

    $Conexion->MEjecutarSQL($ConsultaAccion);



 ////////////////////////////////Asignación de módulos

 //USER NORMAL



 $Conexion->MEjecutarSQL("INSERT INTO subsistemausuarios (IdUsuario,IdSubsistema,NoOpcion) VALUES ($RIdUser[IdUsuario],1,3)");

 $Conexion->MEjecutarSQL("INSERT INTO subsistemausuarios (IdUsuario,IdSubsistema,NoOpcion) VALUES ($RIdUser[IdUsuario],3,1)");

 $Conexion->MEjecutarSQL("INSERT INTO subsistemausuarios (IdUsuario,IdSubsistema,NoOpcion) VALUES ($RIdUser[IdUsuario],3,2)");

 $Conexion->MEjecutarSQL("INSERT INTO subsistemausuarios (IdUsuario,IdSubsistema,NoOpcion) VALUES ($RIdUser[IdUsuario],3,3)");

 $Conexion->MEjecutarSQL("INSERT INTO subsistemausuarios (IdUsuario,IdSubsistema,NoOpcion) VALUES ($RIdUser[IdUsuario],3,4)");

 $Conexion->MEjecutarSQL("INSERT INTO subsistemausuarios (IdUsuario,IdSubsistema,NoOpcion) VALUES ($RIdUser[IdUsuario],3,5)");



 FMensajeScript("USUARIO DADO DE ALTA","Usuarios.php?IdUsuario=$RIdUser[IdUsuario]");

 exit();



}else if ($Accion=='Modificar'){





 if ($Nombre=='' || $Usuario=='' || $Password==''){

  FMensajeScript("PROPORCIONE DATOS REQUERIDOS","javascript:history.go(-1)");

  exit();

 }





 ///////////////Obtener la clave aplicandole el md5

 $Consultar="SELECT * FROM usuarios WHERE IdUsuario=$UsuarioId";

 $RowUsuario=$Conexion->MSelectRegistro($Consultar);

 //echo $Consultar.'<br>';

 //echo $Password.'<br>';

 //echo $RowUsuario[Password].'<br>';

 if ($RowUsuario[Password]!=$Password){

   //echo 'entre<br>';

   $Password=md5($Password);

   $Password=FConviertePassword($Password);

  }

 ///////////////fin Obtener la clave



 ///consulta de modificación

 $Consulta="UPDATE Usuarios SET Nombre='$Nombre',Password='$Password',Tipo='$TipoUs',Puesto='$Puesto' WHERE IdUsuario=$UsuarioId";

 //echo $Consulta.'<br>';

 $Conexion->MEjecutarSQL($Consulta);

 ////////////////////////////////////////////////////////////////

 ////PARA REGISTRARLO EN LA BITACORA DE ACCESOS

    $DescripcionAccion="ACTUALIZÓ AL USUARIO $RowUsuario[Usuario]";

    $ConsultaAccion="INSERT INTO controlusuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values

                      ('".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','Usuarios',$UsuarioId)";

    $Conexion->MEjecutarSQL($ConsultaAccion);



 FMensajeScript("USUARIO ACTUALIZADO","Usuarios.php?IdUsuario=$UsuarioId");

 exit();



}

else if($Accion=='Eliminar')

{

  $Consultar="SELECT * FROM ControlUsuarios WHERE IdUsuario=$UsuarioId ";

  $RowQueja=$Conexion->MSelectRegistro($Consultar);

  if ($RowQueja)

  { FMensajeScript("NO SE PUEDE ELIMINAR, EL USUARIO ESTA RELACIONADO CON EL CONTROL DE USUARIOS","javascript:history.go(-1)");

    exit();

  }



 ////consulta de eliminación

 $ObtUser="SELECT * FROM usuarios WHERE IdUsuario=$UsuarioId";

 $RUser=$Conexion->MSelectRegistro($ObtUser);

 //echo $ObtTabla;



 $Consulta="DELETE FROM subsistemausuarios WHERE IdUsuario=$UsuarioId";

 $Conexion->MEjecutarSQL($Consulta);



 ////PARA REGISTRARLO EN LA BITACORA DE ACCESOS

    $DescripcionAccion="ELIMINÓ AL USUARIO $RUser[Usuario]";

    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values

                      ('".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','Usuarios',$UsuarioId)";

    $Conexion->MEjecutarSQL($ConsultaAccion);





 $Consulta="DELETE FROM usuarios WHERE IdUsuario=$UsuarioId";

 $Conexion->MEjecutarSQL($Consulta);

 ////////////////////////////////////////



 FMensajeScript("USUARIO ELIMINADO","Usuarios.php");

 exit();

}





?>